---
title: "Notification Service - V1 APIs"
url: "https://developer.pexa.co.uk/apis/notifications-v1-v1/versions/72a6ef34-73d4-4940-b586-d4154e57aaea"
---

# Notification Service - V1 APIs

OpenAPI specification document.

```json
{"openapi":"3.1.0","info":{"title":"Notification Service - V1 APIs","description":"Notification Service V1 APIs for managing webhook notifications and registrations.","version":"v1","x-api-version":"1.0.0","x-pexa-products":["partner","Pexa Go"],"x-pexa-segments":["lawfirms","lenders"],"x-idp-audience":"PexaPartnerAPI","x-idp-audience-identifier":"https://app.pexauk.co.uk/api/v1/pexa-partner"},"servers":[{"url":"https://api.pexa.co.uk","description":"API Gateway URL"}],"tags":[{"name":"WebhooksRegistration","description":"This API is used to manage registration details for Webhook notifications"},{"name":"NotificationAdmin","description":"Endpoints to manage the subscriber's notifications."}],"paths":{"/partner/api/notification/v1/notification-registrations":{"post":{"tags":["WebhooksRegistration"],"summary":"Create Webhooks Registration","description":"This API is used to create the registration details for Webhook notifications","operationId":"createNotificationRegistration","security":[{"oauth2":["create:notification_registrations"],"tags":["Create registration"]}],"requestBody":{"description":"Registration details","required":true,"content":{"application/json":{"schema":{"description":"New registration details, not containing the `id` attribute","type":"object","required":["webhookURI","eventTypes"],"properties":{"webhookURI":{"type":"string","description":"The secure URI of the webhook to be called when an event occurs (supports only https protocol)\n\nTo ensure a smoother integration, avoid using endpoints that end with slashes, as these trailing slashes will be automatically removed from the URI.\n","example":"https://push-notifications.pexa.com.au/notifications-webhook"},"eventTypes":{"type":"array","items":{"type":"string"},"description":"Through this field, Integrators have the ability to subscribe to a variety of notification types based on their preferences. <br></br> Note: A registration must be created with at least one preferred event type and all mandatory event types for successful registration. <br></br> Preferred Webhook Events  <li>WORKSPACE_PARTICIPANT_ADDED</li> <li>FINANCIAL_SETTLEMENT_SCHEDULE_PREPARED</li> <li>LODGEMENT_CASE_PREPARED</li> <li>LODGEMENT_CASE_PARTIALLY_REGISTERED</li> <li>LODGEMENT_CASE_REGISTRATION_REJECTED</li> <li>WORKSPACE_PREPARED</li> <li>WORKSPACE_FUNDS_AUTHORISED</li> <li>WORKSPACE_FUNDS_EXCHANGED</li> <li>WORKSPACE_LODGED</li> <li>WORKSPACE_CLOSED</li> <li>WORKSPACE_REQUISITIONED</li> <li>WORKSPACE_CANCELLED</li> <li>WORKSPACE_REVERTED_TO_CREATED</li> <li>TITLE_DATA_RECEIVED</li> <li>TITLE_SEARCH_PENDING</li> <li>TITLE_NOT_FOUND</li>\nMandatory Webhook Events  <li>SECRET_EXPIRY</li>","example":["WORKSPACE_PARTICIPANT_ADDED","WORKSPACE_PREPARED","WORKSPACE_LODGED","SECRET_EXPIRY"]}}}}}},"responses":{"200":{"description":"SUCCESS","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}}},"content":{"application/json":{"schema":{"description":"New registration details, containing `id` attribute","type":"object","required":["webhookURI","registrationId"],"properties":{"webhookURI":{"type":"string","description":"The secure URI of the webhook to be called when an event occurs (supports only https protocol)","example":"https://push-notifications.pexa.com.au/notifications-webhook"},"registrationId":{"type":"string","description":"The registration ID returned by create notification registration API","example":"a12sd23sf4f5f6f9"},"subscriberId":{"type":"string","description":"The ID of the subscriber","example":"123456789"},"sharedSecret":{"type":"string","description":"The shared secret used to validate the webhook request","example":"38e5d78c-d642-42d1-8064-0082dc87c4e5"},"sharedSecretExpiry":{"type":"string","description":"The expiry time for current shared secret","example":"2025-03-13 04:12:51.574000 +00:00"},"eventTypes":{"type":"array","items":{"type":"string"},"description":"The list of eventTypes that this registration will send notifications for","example":["WORKSPACE_PARTICIPANT_ADDED","WORKSPACE_PREPARED","WORKSPACE_LODGED","SECRET_EXPIRY"]}}}}}},"400":{"description":"Bad Request","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}}},"content":{"application/json":{"schema":{"type":"object","description":"Response object of the service","properties":{"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"code":{"description":"The error code.\n","type":"string","example":"GA.NOTIF.400000"},"message":{"description":"The error message.\n","type":"string","example":"Invalid UUID string: not-a-valid-id"},"field":{"description":"The field in the request that caused the error.\n"}}}}}},"example":{"errors":[{"code":"GA.NOTIF.400000","message":"Invalid UUID string: 123","field":null}]}}}},"401":{"description":"Unauthorized","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}}},"content":{"application/json":{"schema":{"type":"object","description":"Response object of the service","properties":{"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"code":{"description":"The error code.\n","type":"string","example":"GA.NOTIF.401004"},"message":{"description":"The error message.\n","type":"string","example":"Unauthorized"},"field":{"description":"The field in the request that caused the error.\n"}}}}}},"example":{"errors":[{"code":"GA.NOTIF.401004","message":"Unauthorized","field":null}]}}}},"403":{"description":"Forbidden","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}}},"content":{"application/json":{"schema":{"type":"object","description":"Response object of the service","properties":{"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"code":{"description":"The error code.\n","type":"string","example":"GA.NOTIF.403003"},"message":{"description":"The error message.\n","type":"string","example":"Access Denied"},"field":{"description":"The field in the request that caused the error.\n"}}}}}},"example":{"errors":[{"code":"GA.NOTIF.403003","message":"Access Denied","field":null}]}}}},"500":{"description":"Internal Server Error","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}}},"content":{"application/json":{"schema":{"type":"object","description":"Response object of the service","properties":{"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"code":{"description":"The error code.\n","type":"string"},"message":{"description":"The error message.\n"},"field":{"description":"The field in the request that caused the error.\n"}}}}}},"example":{"errors":[{"message":"Internal Server Error"}]}}}}}}},"/partner/api/notification/v1/notification-registrations/{registrationId}":{"put":{"tags":["WebhooksRegistration"],"summary":"Update Webhooks Registration","description":"This API is used to update the existing registration details for Webhook notifications","operationId":"updateNotificationRegistration","security":[{"oauth2":["edit:notification_registrations"],"tags":["Update a subscriber's notification preference"]}],"parameters":[{"in":"path","name":"registrationId","schema":{"type":"string"},"required":true,"description":"UUID of the registration"}],"requestBody":{"description":"Registration details","required":true,"content":{"application/json":{"schema":{"description":"Update registration details","type":"object","required":["webhookURI","eventTypes"],"properties":{"webhookURI":{"type":"string","description":"The secure URI of the webhook to be called when an event occurs (supports only https protocol)\n\nTo ensure a smoother integration, avoid using endpoints that end with slashes, as these trailing slashes will be automatically removed from the URI.\n","example":"https://push-notifications.pexa.com.au/notifications-webhook"},"eventTypes":{"type":"array","items":{"type":"string"},"description":"Through this field, Integrators have the ability to subscribe to a variety of notification types based on their preferences. <br></br> Note: A registration must be created with at least one preferred event type and all mandatory event types for successful registration. <br></br> Preferred Webhook Events  <li>WORKSPACE_PARTICIPANT_ADDED</li> <li>FINANCIAL_SETTLEMENT_SCHEDULE_PREPARED</li> <li>LODGEMENT_CASE_PREPARED</li> <li>LODGEMENT_CASE_PARTIALLY_REGISTERED</li> <li>LODGEMENT_CASE_REGISTRATION_REJECTED</li> <li>WORKSPACE_PREPARED</li> <li>WORKSPACE_FUNDS_AUTHORISED</li> <li>WORKSPACE_FUNDS_EXCHANGED</li> <li>WORKSPACE_LODGED</li> <li>WORKSPACE_CLOSED</li> <li>WORKSPACE_REQUISITIONED</li> <li>WORKSPACE_CANCELLED</li> <li>WORKSPACE_REVERTED_TO_CREATED</li> <li>TITLE_DATA_RECEIVED</li> <li>TITLE_SEARCH_PENDING</li> <li>TITLE_NOT_FOUND</li>\nMandatory Webhook Events  <li>SECRET_EXPIRY</li>","example":["WORKSPACE_PARTICIPANT_ADDED","WORKSPACE_PREPARED","WORKSPACE_LODGED","SECRET_EXPIRY"]}}}}}},"responses":{"200":{"description":"SUCCESS","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}}},"content":{"application/json":{"schema":{"description":"New registration details, containing `id` attribute","type":"object","required":["webhookURI","registrationId"],"properties":{"webhookURI":{"type":"string","description":"The secure URI of the webhook to be called when an event occurs (supports only https protocol)","example":"https://push-notifications.pexa.com.au/notifications-webhook"},"registrationId":{"type":"string","description":"The registration ID returned by create notification registration API","example":"a12sd23sf4f5f6f9"},"subscriberId":{"type":"string","description":"The ID of the subscriber","example":"123456789"},"sharedSecret":{"type":"string","description":"The shared secret used to validate the webhook request","example":"38e5d78c-d642-42d1-8064-0082dc87c4e5"},"sharedSecretExpiry":{"type":"string","description":"The expiry time for current shared secret","example":"2025-03-13 04:12:51.574000 +00:00"},"eventTypes":{"type":"array","items":{"type":"string"},"description":"The list of eventTypes that this registration will send notifications for","example":["WORKSPACE_PARTICIPANT_ADDED","WORKSPACE_PREPARED","WORKSPACE_LODGED","SECRET_EXPIRY"]}}}}}},"400":{"description":"Bad Request","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}}},"content":{"application/json":{"schema":{"type":"object","description":"Response object of the service","properties":{"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"code":{"description":"The error code.\n","type":"string","example":"GA.NOTIF.400000"},"message":{"description":"The error message.\n","type":"string","example":"Invalid UUID string: not-a-valid-id"},"field":{"description":"The field in the request that caused the error.\n"}}}}}},"example":{"errors":[{"code":"GA.NOTIF.400000","message":"Invalid UUID string: 123","field":null}]}}}},"401":{"description":"Unauthorized","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}}},"content":{"application/json":{"schema":{"type":"object","description":"Response object of the service","properties":{"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"code":{"description":"The error code.\n","type":"string","example":"GA.NOTIF.401004"},"message":{"description":"The error message.\n","type":"string","example":"Unauthorized"},"field":{"description":"The field in the request that caused the error.\n"}}}}}},"example":{"errors":[{"code":"GA.NOTIF.401004","message":"Unauthorized","field":null}]}}}},"403":{"description":"Forbidden","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}}},"content":{"application/json":{"schema":{"type":"object","description":"Response object of the service","properties":{"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"code":{"description":"The error code.\n","type":"string","example":"GA.NOTIF.403003"},"message":{"description":"The error message.\n","type":"string","example":"Access Denied"},"field":{"description":"The field in the request that caused the error.\n"}}}}}},"example":{"errors":[{"code":"GA.NOTIF.403003","message":"Forbidden"}]}}}},"500":{"description":"Internal Server Error","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}}},"content":{"application/json":{"schema":{"type":"object","description":"Response object of the service","properties":{"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"code":{"description":"The error code.\n","type":"string"},"message":{"description":"The error message.\n"},"field":{"description":"The field in the request that caused the error.\n"}}}}}},"example":{"errors":[{"message":"Internal Server Error"}]}}}}}},"delete":{"tags":["WebhooksRegistration"],"summary":"Delete Webhooks Registration","description":"This API is used to delete the registration details for Webhook notifications","operationId":"deleteNotificationRegistration","security":[{"oauth2":["delete:notification_registrations"],"tags":["Delete a registration for a subscriber"]}],"parameters":[{"in":"path","name":"registrationId","schema":{"type":"string"},"required":true,"description":"UUID of the registration"}],"responses":{"204":{"description":"The resource has been deleted","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}}}},"400":{"description":"Bad Request","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}}},"content":{"application/json":{"schema":{"type":"object","description":"Response object of the service","properties":{"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"code":{"description":"The error code.\n","type":"string","example":"GA.NOTIF.400000"},"message":{"description":"The error message.\n","type":"string","example":"Invalid UUID string: not-a-valid-id"},"field":{"description":"The field in the request that caused the error.\n"}}}}}},"example":{"errors":[{"code":"GA.NOTIF.400000","message":"Invalid UUID string: 123","field":null}]}}}},"401":{"description":"Unauthorized","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}}},"content":{"application/json":{"schema":{"type":"object","description":"Response object of the service","properties":{"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"code":{"description":"The error code.\n","type":"string","example":"GA.NOTIF.401004"},"message":{"description":"The error message.\n","type":"string","example":"Unauthorized"},"field":{"description":"The field in the request that caused the error.\n"}}}}}},"example":{"errors":[{"code":"GA.NOTIF.401004","message":"Unauthorized","field":null}]}}}},"403":{"description":"Forbidden","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}}},"content":{"application/json":{"schema":{"type":"object","description":"Response object of the service","properties":{"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"code":{"description":"The error code.\n","type":"string","example":"GA.NOTIF.403003"},"message":{"description":"The error message.\n","type":"string","example":"Access Denied"},"field":{"description":"The field in the request that caused the error.\n"}}}}}},"example":{"errors":[{"code":"GA.NOTIF.403003","message":"Forbidden"}]}}}},"500":{"description":"Internal Server Error","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}}},"content":{"application/json":{"schema":{"type":"object","description":"Response object of the service","properties":{"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"code":{"description":"The error code.\n","type":"string"},"message":{"description":"The error message.\n"},"field":{"description":"The field in the request that caused the error.\n"}}}}}},"example":{"errors":[{"message":"Internal Server Error"}]}}}}}}},"/partner/api/notification/v1/notification-registrations/{registrationId}/secret-rotation":{"post":{"tags":["WebhooksRegistration"],"summary":"Rotate Webhooks Shared Secret","description":"This API is used to rotate existing shared secret with a new shared secret on the registration id provided for Webhook notifications","operationId":"createNotificationSecretRotation","security":[{"oauth2":["create:notification_registrations_secret_rotation"],"tags":["Rotates shared secret"]}],"parameters":[{"in":"path","name":"registrationId","schema":{"type":"string"},"required":true,"description":"UUID of the registration"}],"responses":{"200":{"description":"SUCCESS","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}}},"content":{"application/json":{"schema":{"description":"New shared secret details, containing `shared_secret` attribute","type":"object","required":["sharedSecret","expiry"],"properties":{"expiry":{"type":"string","description":"The time until which the shared secret is valid","example":"2024-02-28T06:12:42Z"},"sharedSecret":{"type":"string","description":"The shared secret used to validate the webhook request","example":"38e5d78c-d642-42d1-8064-0082dc87c4e5"}}}}}},"400":{"description":"Bad Request","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}}},"content":{"application/json":{"schema":{"type":"object","description":"Response object of the service","properties":{"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"code":{"description":"The error code.\n","type":"string","example":"GA.NOTIF.400000"},"message":{"description":"The error message.\n","type":"string","example":"Invalid UUID string: not-a-valid-id"},"field":{"description":"The field in the request that caused the error.\n"}}}}}},"example":{"errors":[{"code":"GA.NOTIF.400000","message":"Invalid UUID string: 123","field":null}]}}}},"401":{"description":"Unauthorized","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}}},"content":{"application/json":{"schema":{"type":"object","description":"Response object of the service","properties":{"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"code":{"description":"The error code.\n","type":"string","example":"GA.NOTIF.401004"},"message":{"description":"The error message.\n","type":"string","example":"Unauthorized"},"field":{"description":"The field in the request that caused the error.\n"}}}}}},"example":{"errors":[{"code":"GA.NOTIF.401004","message":"Unauthorized","field":null}]}}}},"403":{"description":"Forbidden","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}}},"content":{"application/json":{"schema":{"type":"object","description":"Response object of the service","properties":{"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"code":{"description":"The error code.\n","type":"string","example":"GA.NOTIF.403003"},"message":{"description":"The error message.\n","type":"string","example":"Access Denied"},"field":{"description":"The field in the request that caused the error.\n"}}}}}},"example":{"errors":[{"code":"GA.NOTIF.403003","message":"Forbidden"}]}}}},"500":{"description":"Internal Server Error","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}}},"content":{"application/json":{"schema":{"type":"object","description":"Response object of the service","properties":{"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"code":{"description":"The error code.\n","type":"string"},"message":{"description":"The error message.\n"},"field":{"description":"The field in the request that caused the error.\n"}}}}}},"example":{"errors":[{"message":"Internal Server Error"}]}}}}}}}},"components":{"schemas":{"CreateNotificationRegistrationRequest":{"description":"New registration details, not containing the `id` attribute","type":"object","required":["webhookURI","eventTypes"],"properties":{"webhookURI":{"type":"string","description":"The secure URI of the webhook to be called when an event occurs (supports only https protocol)\n\nTo ensure a smoother integration, avoid using endpoints that end with slashes, as these trailing slashes will be automatically removed from the URI.\n","example":"https://push-notifications.pexa.com.au/notifications-webhook"},"eventTypes":{"type":"array","items":{"type":"string"},"description":"Through this field, Integrators have the ability to subscribe to a variety of notification types based on their preferences. <br></br> Note: A registration must be created with at least one preferred event type and all mandatory event types for successful registration. <br></br> Preferred Webhook Events  <li>WORKSPACE_PARTICIPANT_ADDED</li> <li>FINANCIAL_SETTLEMENT_SCHEDULE_PREPARED</li> <li>LODGEMENT_CASE_PREPARED</li> <li>LODGEMENT_CASE_PARTIALLY_REGISTERED</li> <li>LODGEMENT_CASE_REGISTRATION_REJECTED</li> <li>WORKSPACE_PREPARED</li> <li>WORKSPACE_FUNDS_AUTHORISED</li> <li>WORKSPACE_FUNDS_EXCHANGED</li> <li>WORKSPACE_LODGED</li> <li>WORKSPACE_CLOSED</li> <li>WORKSPACE_REQUISITIONED</li> <li>WORKSPACE_CANCELLED</li> <li>WORKSPACE_REVERTED_TO_CREATED</li> <li>TITLE_DATA_RECEIVED</li> <li>TITLE_SEARCH_PENDING</li> <li>TITLE_NOT_FOUND</li>\nMandatory Webhook Events  <li>SECRET_EXPIRY</li>","example":["WORKSPACE_PARTICIPANT_ADDED","WORKSPACE_PREPARED","WORKSPACE_LODGED","SECRET_EXPIRY"]}}},"NotificationRegistrationDto":{"description":"New registration details, containing `id` attribute","type":"object","required":["webhookURI","registrationId"],"properties":{"webhookURI":{"type":"string","description":"The secure URI of the webhook to be called when an event occurs (supports only https protocol)","example":"https://push-notifications.pexa.com.au/notifications-webhook"},"registrationId":{"type":"string","description":"The registration ID returned by create notification registration API","example":"a12sd23sf4f5f6f9"},"subscriberId":{"type":"string","description":"The ID of the subscriber","example":"123456789"},"sharedSecret":{"type":"string","description":"The shared secret used to validate the webhook request","example":"38e5d78c-d642-42d1-8064-0082dc87c4e5"},"sharedSecretExpiry":{"type":"string","description":"The expiry time for current shared secret","example":"2025-03-13 04:12:51.574000 +00:00"},"eventTypes":{"type":"array","items":{"type":"string"},"description":"The list of eventTypes that this registration will send notifications for","example":["WORKSPACE_PARTICIPANT_ADDED","WORKSPACE_PREPARED","WORKSPACE_LODGED","SECRET_EXPIRY"]}}},"NotificationSecretRotationDto":{"description":"New shared secret details, containing `shared_secret` attribute","type":"object","required":["sharedSecret","expiry"],"properties":{"expiry":{"type":"string","description":"The time until which the shared secret is valid","example":"2024-02-28T06:12:42Z"},"sharedSecret":{"type":"string","description":"The shared secret used to validate the webhook request","example":"38e5d78c-d642-42d1-8064-0082dc87c4e5"}}},"UpdateNotificationRegistrationRequest":{"description":"Update registration details","type":"object","required":["webhookURI","eventTypes"],"properties":{"webhookURI":{"type":"string","description":"The secure URI of the webhook to be called when an event occurs (supports only https protocol)\n\nTo ensure a smoother integration, avoid using endpoints that end with slashes, as these trailing slashes will be automatically removed from the URI.\n","example":"https://push-notifications.pexa.com.au/notifications-webhook"},"eventTypes":{"type":"array","items":{"type":"string"},"description":"Through this field, Integrators have the ability to subscribe to a variety of notification types based on their preferences. <br></br> Note: A registration must be created with at least one preferred event type and all mandatory event types for successful registration. <br></br> Preferred Webhook Events  <li>WORKSPACE_PARTICIPANT_ADDED</li> <li>FINANCIAL_SETTLEMENT_SCHEDULE_PREPARED</li> <li>LODGEMENT_CASE_PREPARED</li> <li>LODGEMENT_CASE_PARTIALLY_REGISTERED</li> <li>LODGEMENT_CASE_REGISTRATION_REJECTED</li> <li>WORKSPACE_PREPARED</li> <li>WORKSPACE_FUNDS_AUTHORISED</li> <li>WORKSPACE_FUNDS_EXCHANGED</li> <li>WORKSPACE_LODGED</li> <li>WORKSPACE_CLOSED</li> <li>WORKSPACE_REQUISITIONED</li> <li>WORKSPACE_CANCELLED</li> <li>WORKSPACE_REVERTED_TO_CREATED</li> <li>TITLE_DATA_RECEIVED</li> <li>TITLE_SEARCH_PENDING</li> <li>TITLE_NOT_FOUND</li>\nMandatory Webhook Events  <li>SECRET_EXPIRY</li>","example":["WORKSPACE_PARTICIPANT_ADDED","WORKSPACE_PREPARED","WORKSPACE_LODGED","SECRET_EXPIRY"]}}},"Error":{"description":"Detailed error related to the API","type":"object","properties":{"code":{"description":"The error code.\n\n* GA.LODGE.??? - Subscriber profile has been suspended or terminated\n","type":"string","example":"GA.LODGE.001"}}},"NotificationEvent":{"type":"object","properties":{"notificationId":{"type":"string","format":"uuid","description":"The unique ID(UUID) for each notification message(aka 'event')"},"subscriberId":{"type":"string","description":"The ID of the subscriber (can be UUID or just integer)","example":"123456789"},"attempts":{"type":"array","items":{"type":"object","properties":{"responseCode":{"type":"integer","example":500,"description":"The HTTP response code from webhook"},"responseBody":{"type":"string","description":"The response body from webhook"},"attemptTime":{"type":"string","description":"The timestamp of attempt sent to webhook","example":"2023-12-18T20:38:59Z"}}},"description":"The array of attempts for each notification"}}},"NotificationEventAttempt":{"type":"object","properties":{"responseCode":{"type":"integer","example":500,"description":"The HTTP response code from webhook"},"responseBody":{"type":"string","description":"The response body from webhook"},"attemptTime":{"type":"string","description":"The timestamp of attempt sent to webhook","example":"2023-12-18T20:38:59Z"}}},"NotificationList":{"type":"object","properties":{"notificationEvents":{"type":"array","items":{"type":"object","properties":{"notificationId":{"type":"string","format":"uuid","description":"The unique ID(UUID) for each notification message(aka 'event')"},"subscriberId":{"type":"string","description":"The ID of the subscriber (can be UUID or just integer)","example":"123456789"},"attempts":{"type":"array","items":{"type":"object","properties":{"responseCode":{"type":"integer","example":500,"description":"The HTTP response code from webhook"},"responseBody":{"type":"string","description":"The response body from webhook"},"attemptTime":{"type":"string","description":"The timestamp of attempt sent to webhook","example":"2023-12-18T20:38:59Z"}}},"description":"The array of attempts for each notification"}}}},"totalPages":{"type":"integer","default":0}}},"ResendRegistrationResponse":{"description":"Failed Notification details","type":"object","properties":{"notificationId":{"type":"string","description":"The notification ID returned by the POST /v1/notifications/{notificationId}/retry-notifications endpoint","example":"c673eb32-82c6-42fc-9c74-54498ce4eb4e"},"notificationStatus":{"type":"string","description":"The status of the notification","example":"SENT"},"details":{"type":"string","description":"The description of the error","example":"Retry successful"}}},"CreateWhitelistWebhookDomainRequest":{"description":"Details for adding a webhook domain to be whitelisted","type":"object","required":["webhookDomain"],"properties":{"webhookDomain":{"type":"string","description":"The domain to be whitelisted","example":"example.com"}}},"CreateWhitelistWebhookDomainResponse":{"description":"New webhook domain details, containing the `id` attribute","type":"object","required":["webhookDomainId","webhookDomain"],"properties":{"webhookDomainId":{"type":"string","format":"uuid","description":"The webhook domain ID returned by the POST /webhook-domains endpoint","example":"b93d14a0-6073-442a-aa1f-57a51664671a"},"webhookDomain":{"type":"string","description":"The domain to be whitelisted","example":"example.com"}}},"NotificationService500ErrorResponse":{"type":"object","description":"Response object of the service","properties":{"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"code":{"description":"The error code.\n","type":"string"},"message":{"description":"The error message.\n"},"field":{"description":"The field in the request that caused the error.\n"}}}}}},"NotificationService400ErrorResponse":{"type":"object","description":"Response object of the service","properties":{"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"code":{"description":"The error code.\n","type":"string","example":"GA.NOTIF.400000"},"message":{"description":"The error message.\n","type":"string","example":"Invalid UUID string: not-a-valid-id"},"field":{"description":"The field in the request that caused the error.\n"}}}}}},"NotificationService401ErrorResponse":{"type":"object","description":"Response object of the service","properties":{"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"code":{"description":"The error code.\n","type":"string","example":"GA.NOTIF.401004"},"message":{"description":"The error message.\n","type":"string","example":"Unauthorized"},"field":{"description":"The field in the request that caused the error.\n"}}}}}},"NotificationService403ErrorResponse":{"type":"object","description":"Response object of the service","properties":{"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"code":{"description":"The error code.\n","type":"string","example":"GA.NOTIF.403003"},"message":{"description":"The error message.\n","type":"string","example":"Access Denied"},"field":{"description":"The field in the request that caused the error.\n"}}}}}},"NotificationServiceErrorResponse":{"type":"object","description":"Response object of the service","properties":{"errors":{"default":[],"type":"array","items":{"description":"Detailed error related to the API","type":"object","properties":{"code":{"description":"The error code.\n\n* GA.LODGE.??? - Subscriber profile has been suspended or terminated\n","type":"string","example":"GA.LODGE.001"}}}}}}},"securitySchemes":{"oauth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://login.pexauk.co.uk/oauth/token","scopes":{"create:notification_registrations":"Create notification registrations","edit:notification_registrations":"Edit notification registrations","delete:notification_registrations":"Delete notification registrations","create:notification_registrations_secret_rotation":"Create notification registrations secret rotation","view:notifications":"View notifications","create:notification_retry":"Retry a notification","create:webhook_domains":"Whitelist a webhook domain"}}}}}},"x-audience-url":"https://app.pexauk.co.uk/api/v1/pexa-partner"}
```
